Subject: Argus and cygwin

From: Jens Teglhus Møller <[email-masked]>
Date: Wed, 13 Apr 2005 15:27:34 +0200

Hi there

Has anyone been successful in running argus on cygwin?

I have some machines i want to monitor but has currenly not access to a unix machine, so i'm trying to install argus on cygwin.

Everything goes well (besides some warnings about missing sendmail and stuff like that) until i try to run the cgi.

I get the following stuff in the apache error log:

ERROR: could not connect to argusd on unix socket '/var/argus/control': Bad file descriptor
ERROR: could not connect to argusd on unix socket '/var/argus/control': Bad file descriptor
ERROR: could not connect to argusd on unix socket '/var/argus/control': Bad file descriptor
[3780] connect to argusd failed
ERROR: could not connect to argusd on unix socket '/var/argus/control': Bad file descriptor
[3780] reconnect
ERROR: could not connect to argusd on unix socket '/var/argus/control': Bad file descriptor
[3780] connect to argusd failed (again)
[3780] (argus Top) ERROR: unable to connect to server<BR><I>checking cache...</I>unable to locate cached data<BR><B>ABORTING</B>
ERROR: Died at /usr/local/lib/argus/web_misc.pl line 81.

[Wed Apr 13 15:21:58 2005] [notice] child pid 4808 exit signal User defined signal 2 (31)

argusd is running fine and /var/argus/control has following permisions:

srwxrwxrwx  1 XJTM0101 mkgroup 51 Apr 13 14:12 /var/argus/control

Best regards Jens